Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# RawTimeInterval Class Reference

`#include <coherence/io/pof/RawTimeInterval.hpp>`

Inherits Object.

List of all members.

## Detailed Description

Raw immutable POF time interval value.

Author:
  jh 2008.04.08

## Public Types
typedef spec::Handle | Handle
| RawTimeInterval Handle definition.
typedef spec::View | View
| RawTimeInterval View definition.
typedef spec::Holder | Holder
| RawTimeInterval Holder definition.
## Public Member Functions
virtual bool | equals (Object::View v) const
virtual size32_t | hashCode () const
| Return a hash code value for the Object. This method is supported for the benefit of hash-based containers. The general contract of `hashCode` is: Whenever it is invoked on the same Object more than once during an execution of an application, the `hashCode` method must consistently return the same value, provided no information used in `equals` comparisons on the object is modified. This value need not remain consistent from one execution of an application to another execution of the same application. If two Objects are equal according to the `equals` method, then calling the `hashCode` method on each of the two Objects must produce the same value. It is not required that if two Objects are unequal according to the `equals` method, then calling the `hashCode` method on each of the two objects must produce distinct results. However, the programmer should be aware that producing distinct results for unequal objects may improve the performance of hash-based containers. The default implementation is identity based. Returns: a hash code value for this Object
virtual bool | isImmutable () const
| Return `true` iff no further changes can be made to the Object, that would effect the outcome of a call to its equals method. Except for Objects which are naturally immutable (such as String), being immutable generally implies that the Object is only referenced via const pointers or views. Objects which hold references to child Objects, may need to take the immutability of their children into account when determining their own immutability. This extended check is not performed by the default implementation, but can be integrated into the immutability checks by overriding this method, as well as making use of MemberHandles to reference child Objects. A typical derived implementation may look as follows:
     bool isImmutable() const
         {
         if (m_fImmutable) // check recorded state
             {
             return true; // already marked as immutable, avoid calculation
             }
         else if (Object::isImmutable()) // ensure shallow immutability
             {
             // ensure deep immutability
             if (m_child1->isImmutable() && m_child2->isImmutable() ...
                                         && m_childN->isImmutable())
                 {
                 // record and return immutability
                 return m_fImmutable = true;
                 }
             // some Objects which comprise this Object are still mutable
             }
         return false;
         }
The default implementation return true iff the Object is only referenced via const pointers and or views. Returns: true iff the Object is immutable
virtual void | toStream (std::ostream &out) const
| Output a human-readable description of this Object to the given stream. coherence::lang::operator<<(std::ostream, Object::View) is defined and will call into the toStream method, to output Objects. If a managed String object is desired, the COH_TO_STRING macro can be used to build up a String from streamable contents.
     Object::View vKey   = ...
     Object::View vValue = ...
     std::cout << vKey << " = " << vValue << std::endl;

     String::Handle hs = COH_TO_STRING(vKey << " = " << vValue);
  Parameters:
  | out | the stream used to output the description
virtual int32_t | getHours () const
| Determine the number of hours in the time interval.
virtual int32_t | getMinutes () const
| Determine the number of minutes in the time interval.
virtual int32_t | getSeconds () const
| Determine the number of seconds in the time interval.
virtual int32_t | getNanos () const
| Determine the number of nanoseconds in the time interval.
## Protected Member Functions
| RawTimeInterval (int32_t cHours, int32_t cMinutes, int32_t cSeconds, int32_t cNanos)
| Construct a raw POF time interval value.
| RawTimeInterval (const RawTimeInterval &that)
| Copy constructor.
## Protected Attributes
int32_t | m_cHours
| The number of hours in the time interval.
int32_t | m_cMinutes
| The number of minutes in the time interval.
int32_t | m_cSeconds
| The number of seconds in the time interval.
int32_t | m_cNanos
| The number of nanoseconds in the time interval.

## Constructor & Destructor Documentation

RawTimeInterval | ( | int32_t | cHours,
|  | int32_t | cMinutes,
|  | int32_t | cSeconds,
|  | int32_t | cNanos |
| ) |  |  | `[protected]`

Construct a raw POF time interval value.

Parameters:

  | cHours | the number of hours in the time interval
  | cMinutes | the number of minutes in the time interval
  | cSeconds | the number of seconds in the time interval
  | cNanos | the number of nanoseconds in the time interval

Returns:
  the new RawTimeInterval

## Member Function Documentation

virtual int32_t getHours | ( |  | ) | const `[virtual]`

Determine the number of hours in the time interval.

Returns:
  the number of hours in the time interval

virtual int32_t getMinutes | ( |  | ) | const `[virtual]`

Determine the number of minutes in the time interval.

Returns:
  the number of minutes in the time interval

virtual int32_t getSeconds | ( |  | ) | const `[virtual]`

Determine the number of seconds in the time interval.

Returns:
  the number of seconds in the time interval

virtual int32_t getNanos | ( |  | ) | const `[virtual]`

Determine the number of nanoseconds in the time interval.

Returns:
  the number of nanoseconds in the time interval

The documentation for this class was generated from the following file:

- coherence/io/pof/RawTimeInterval.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.